Subject: Re: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Nov 2019 05:45:47 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Nov 2019 00:25:24 +0200
> 
> >> Now I added a new option for auto-scroll that is enabled by default.
> >
> > Thanks.  It works somewhat strangely, though.  First, it doesn't
> > scroll even if the current tab is only partially visible.  And second,
> > if I switch to a buffer whose tab is hscrolled out of view, that tab
> > is moved to the right end of the tab line, whereas I expected the tab
> > line to hscroll back such that the tab would become visible without
> > changing its relative order.
> >
> > Is that intended?  Basically, I expected that line to behave like we
> > hscroll text lines.
> 
> Do you customize tab-line-tabs-function to tab-line-tabs-buffer-groups?

No, this is in "emacs -Q".

> After switching to another buffer it changes the order of tabs
> because it uses the same order by recency as buffer-list.

So this is a feature?  It's quite unexpected, I'd say, because
browsers don't behave like that.